cURL
curl --request GET \ --url https://api.ai2fin.com/api/chat/conversations/{id} \ --header 'Authorization: Bearer <token>'
{ "success": true, "data": { "conversation": { "id": "<string>", "title": "<string>", "messageCount": 123, "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z" }, "messages": [ { "id": "<string>", "conversationId": "<string>", "content": "<string>", "toolsUsed": [ "<string>" ], "createdAt": "2023-11-07T05:31:56Z" } ] } }
Fetch a conversation with full message history
Documentation IndexFetch the complete documentation index at: https://docs.ai2fin.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.ai2fin.com/llms.txt
Use this file to discover all available pages before exploring further.
JWT token obtained from /api/enterprise-auth/login endpoint. Use for standard API access and OAuth-based integrations.
Conversation retrieved
Show child attributes
Was this page helpful?